Subject: bug#8158: Definition of auto-mode-alist

From: Stefan Kangas <[email-masked]>
Date: Wed, 26 Jan 2022 19:14:11 -0800

close 8158 29.1
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Does anyone object to just removing the above comment?  And similarly
>> for `interpreter-mode-alist', I suppose.
>
> I think removing the comment is fine.

No further comments here within 3 months, so I've now installed the
below change on master.

diff --git a/lisp/files.el b/lisp/files.el
index aabe8f445e..4ba71e6144 100644
--- a/lisp/files.el
+++ b/lisp/files.el
@@ -2757,8 +2757,7 @@ auto-mode-case-fold
 (defvar auto-mode-alist
   ;; Note: The entries for the modes defined in cc-mode.el (c-mode,
   ;; c++-mode, java-mode and more) are added through autoload
-  ;; directives in that file.  That way is discouraged since it
-  ;; spreads out the definition of the initial value.
+  ;; directives in that file.
   (mapcar
    (lambda (elt)
      (cons (purecopy (car elt)) (cdr elt)))
@@ -3056,8 +3055,7 @@ conf-mode-maybe
 (defvar interpreter-mode-alist
   ;; Note: The entries for the modes defined in cc-mode.el (awk-mode
   ;; and pike-mode) are added through autoload directives in that
-  ;; file.  That way is discouraged since it spreads out the
-  ;; definition of the initial value.
+  ;; file.
   (mapcar
    (lambda (l)
      (cons (purecopy (car l)) (cdr l)))